import { Global, Module } from '@nestjs/common';
import { HelperHashService } from './services';
import { SpacePermissionService } from './services/space.permission.service';
import { SpaceRepository } from '../modules/space/repositories';
import { SpaceRepositoryModule } from '../modules/space/space.repository.module';
import { TuyaWebSocketService } from './services/tuya.web.socket.service';

import { OneSignalService } from './services/onesignal.service';
import { DeviceMessagesService } from './services/device.messages.service';
import { DeviceNotificationRepositoryModule } from '../modules/device-notification/device.notification.module';
import { DeviceNotificationRepository } from '../modules/device-notification/repositories';

@Global()
@Module({
  providers: [
    HelperHashService,
    SpacePermissionService,
    SpaceRepository,
    TuyaWebSocketService,
    OneSignalService,
    DeviceMessagesService,
    DeviceNotificationRepository,
  ],
  exports: [HelperHashService, SpacePermissionService],
  controllers: [],
  imports: [SpaceRepositoryModule, DeviceNotificationRepositoryModule],
})
export class HelperModule {}
