import { Column, Entity, ManyToOne, Unique } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { DeviceNotificationDto } from '../dtos';
import { DeviceEntity } from '../../device/entities';
import { UserEntity } from '../../user/entities';

@Entity({ name: 'device-notification' })
@Unique(['userUuid', 'deviceUuid'])
export class DeviceNotificationEntity extends AbstractEntity<DeviceNotificationDto> {
  @Column({
    nullable: false,
  })
  public userUuid: string;

  @Column({
    nullable: false,
  })
  deviceUuid: string;

  @ManyToOne(() => DeviceEntity, (device) => device.permission, {
    nullable: false,
  })
  device: DeviceEntity;

  @ManyToOne(() => UserEntity, (user) => user.userPermission, {
    nullable: false,
  })
  user: UserEntity;
  constructor(partial: Partial<DeviceNotificationEntity>) {
    super();
    Object.assign(this, partial);
  }
}
