import { Column, Entity, OneToMany } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { PermissionType } from '@app/common/constants/permission-type.enum';
import { PermissionTypeDto } from '../dtos/permission.dto';
import { DeviceUserPermissionEntity } from '../../device-user-permission/entities';

@Entity({ name: 'permission-type' })
export class PermissionTypeEntity extends AbstractEntity<PermissionTypeDto> {
  @Column({
    nullable: false,
    enum: Object.values(PermissionType),
  })
  type: string;

  @OneToMany(
    () => DeviceUserPermissionEntity,
    (permission) => permission.permissionType,
    {
      nullable: true,
    },
  )
  permission: DeviceUserPermissionEntity[];

  constructor(partial: Partial<PermissionTypeEntity>) {
    super();
    Object.assign(this, partial);
  }
}
