import { Column, Entity, OneToMany, Unique } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { RoleTypeDto } from '../dtos/role.type.dto';
import { RoleType } from '@app/common/constants/role.type.enum';
import { UserRoleEntity } from '../../user-role/entities';

@Entity({ name: 'role-type' })
@Unique(['type'])
export class RoleTypeEntity extends AbstractEntity<RoleTypeDto> {
  @Column({
    nullable: false,
    enum: Object.values(RoleType),
  })
  type: string;
  @OneToMany(() => UserRoleEntity, (role) => role.roleType, {
    nullable: true,
  })
  roles: UserRoleEntity[];
  constructor(partial: Partial<RoleTypeEntity>) {
    super();
    Object.assign(this, partial);
  }
}
