import { Column, Entity, OneToMany } from 'typeorm';
import { SpaceTypeDto } from '../dtos';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { SpaceEntity } from '../../space/entities';

@Entity({ name: 'space-type' })
export class SpaceTypeEntity extends AbstractEntity<SpaceTypeDto> {
  @Column({
    type: 'uuid',
    default: () => 'gen_random_uuid()', // Use gen_random_uuid() for default value
    nullable: false,
  })
  public uuid: string;

  @Column({
    nullable: false,
  })
  type: string;

  @OneToMany(() => SpaceEntity, (space) => space.spaceType)
  spaces: SpaceEntity[];
  constructor(partial: Partial<SpaceTypeEntity>) {
    super();
    Object.assign(this, partial);
  }
}
