import { Entity, ManyToOne, Unique } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { UserRoleDto } from '../dtos';
import { UserEntity } from '../../user/entities';
import { RoleTypeEntity } from '../../role-type/entities';

@Entity({ name: 'user-role' })
@Unique(['user', 'roleType'])
export class UserRoleEntity extends AbstractEntity<UserRoleDto> {
  @ManyToOne(() => UserEntity, (user) => user.roles, {
    nullable: false,
  })
  user: UserEntity;

  @ManyToOne(() => RoleTypeEntity, (roleType) => roleType.roles, {
    nullable: false,
  })
  roleType: RoleTypeEntity;

  constructor(partial: Partial<UserRoleEntity>) {
    super();
    Object.assign(this, partial);
  }
}
