import { Global, Module } from '@nestjs/common';
import { SeederService } from './services/seeder.service';
import { PermissionTypeRepository } from '../modules/permission/repositories';
import { PermissionTypeSeeder } from './services/permission.type.seeder';
import { PermissionTypeRepositoryModule } from '../modules/permission/permission.repository.module';
import { ConfigModule } from '@nestjs/config';
import { RoleTypeRepositoryModule } from '../modules/role-type/role.type.repository.module';
import { RoleTypeRepository } from '../modules/role-type/repositories';
import { RoleTypeSeeder } from './services/role.type.seeder';
import { SpaceTypeRepository } from '../modules/space-type/repositories';
import { SpaceTypeSeeder } from './services/space.type.seeder';
import { SpaceTypeRepositoryModule } from '../modules/space-type/space.type.repository.module';
import { SuperAdminSeeder } from './services/supper.admin.seeder';
import { UserRepository } from '../modules/user/repositories';
import { UserRoleRepository } from '../modules/user-role/repositories';
import { UserRoleRepositoryModule } from '../modules/user-role/user.role.repository.module';
import { UserRepositoryModule } from '../modules/user/user.repository.module';
import { RegionSeeder } from './services/regions.seeder';
import { RegionRepository } from '../modules/region/repositories';
import { TimeZoneSeeder } from './services/timezone.seeder';
import { TimeZoneRepository } from '../modules/timezone/repositories';
@Global()
@Module({
  providers: [
    PermissionTypeSeeder,
    RoleTypeSeeder,
    SpaceTypeSeeder,
    SeederService,
    PermissionTypeRepository,
    RoleTypeRepository,
    SpaceTypeRepository,
    SuperAdminSeeder,
    UserRepository,
    UserRoleRepository,
    RegionSeeder,
    RegionRepository,
    TimeZoneSeeder,
    TimeZoneRepository,
  ],
  exports: [SeederService],
  controllers: [],
  imports: [
    ConfigModule.forRoot(),
    PermissionTypeRepositoryModule,
    RoleTypeRepositoryModule,
    UserRepositoryModule,
    UserRoleRepositoryModule,
    SpaceTypeRepositoryModule,
  ],
})
export class SeederModule {}
