import { Module } from '@nestjs/common';
import { AuthenticationController } from './controllers/authentication.controller';
import { AuthenticationService } from './services/authentication.service';
import { ConfigModule } from '@nestjs/config';
import { UserRepositoryModule } from '../../libs/common/src/modules/user/user.repository.module';
import { CommonModule } from '../../libs/common/src';
import { UserAuthController } from './controllers';
import { UserAuthService } from './services';
import { UserRepository } from '../../libs/common/src/modules/user/repositories';
import { UserSessionRepository } from '../../libs/common/src/modules/session/repositories/session.repository';
import { UserOtpRepository } from '../../libs/common/src/modules/user-otp/repositories/user-otp.repository';
import { UserRoleRepository } from '@app/common/modules/user-role/repositories';
import { RoleTypeRepository } from '@app/common/modules/role-type/repositories';

@Module({
  imports: [ConfigModule, UserRepositoryModule, CommonModule],
  controllers: [AuthenticationController, UserAuthController],
  providers: [
    AuthenticationService,
    UserAuthService,
    UserRepository,
    UserSessionRepository,
    UserOtpRepository,
    UserRoleRepository,
    RoleTypeRepository,
  ],
  exports: [AuthenticationService, UserAuthService],
})
export class AuthenticationModule {}
