import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddBuildingDto {
  @ApiProperty({
    description: 'buildingName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public buildingName: string;

  @ApiProperty({
    description: 'communityUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public communityUuid: string;
  constructor(dto: Partial<AddBuildingDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserBuildingDto {
  @ApiProperty({
    description: 'buildingUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public buildingUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserBuildingDto>) {
    Object.assign(this, dto);
  }
}
