import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddCommunityDto {
  @ApiProperty({
    description: 'communityName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public communityName: string;

  constructor(dto: Partial<AddCommunityDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserCommunityDto {
  @ApiProperty({
    description: 'communityUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public communityUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserCommunityDto>) {
    Object.assign(this, dto);
  }
}
