import { Module } from '@nestjs/common';
import { DeviceService } from './services/device.service';
import { DeviceController } from './controllers/device.controller';
import { ConfigModule } from '@nestjs/config';
import { ProductRepositoryModule } from '@app/common/modules/product/product.repository.module';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { DeviceRepositoryModule } from '@app/common/modules/device';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { PermissionTypeRepository } from '@app/common/modules/permission/repositories';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { DeviceUserPermissionRepository } from '@app/common/modules/device-user-permission/repositories';
import { UserRepository } from '@app/common/modules/user/repositories';
@Module({
  imports: [ConfigModule, ProductRepositoryModule, DeviceRepositoryModule],
  controllers: [DeviceController],
  providers: [
    DeviceService,
    ProductRepository,
    DeviceUserPermissionRepository,
    PermissionTypeRepository,
    SpaceRepository,
    DeviceRepository,
    UserRepository,
  ],
  exports: [DeviceService],
})
export class DeviceModule {}
