import { Module } from '@nestjs/common';
import { DoorLockService } from './services/door.lock.service';
import { DoorLockController } from './controllers/door.lock.controller';
import { ConfigModule } from '@nestjs/config';
import { DeviceRepositoryModule } from '@app/common/modules/device';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { PasswordEncryptionService } from './services/encryption.services';
@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [DoorLockController],
  providers: [DoorLockService, PasswordEncryptionService, DeviceRepository],
  exports: [DoorLockService],
})
export class DoorLockModule {}
