import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddFloorDto {
  @ApiProperty({
    description: 'floorName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public floorName: string;

  @ApiProperty({
    description: 'buildingUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public buildingUuid: string;
  constructor(dto: Partial<AddFloorDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserFloorDto {
  @ApiProperty({
    description: 'floorUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public floorUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserFloorDto>) {
    Object.assign(this, dto);
  }
}
