import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateFloorNameDto {
  @ApiProperty({
    description: 'floorName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public floorName: string;

  constructor(dto: Partial<UpdateFloorNameDto>) {
    Object.assign(this, dto);
  }
}
