import { DeviceRepository } from './../../libs/common/src/modules/device/repositories/device.repository';
import { Module } from '@nestjs/common';
import { GroupService } from './services/group.service';
import { GroupController } from './controllers/group.controller';
import { ConfigModule } from '@nestjs/config';
import { DeviceRepositoryModule } from '@app/common/modules/device';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';
@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [GroupController],
  providers: [
    GroupService,
    DeviceRepository,
    SpaceRepository,
    DeviceRepository,
    ProductRepository,
  ],
  exports: [GroupService],
})
export class GroupModule {}
