import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateRoomNameDto {
  @ApiProperty({
    description: 'roomName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public roomName: string;

  constructor(dto: Partial<UpdateRoomNameDto>) {
    Object.assign(this, dto);
  }
}
