import { Module } from '@nestjs/common';
import { RoomService } from './services/room.service';
import { RoomController } from './controllers/room.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { SpaceTypeRepositoryModule } from '@app/common/modules/space-type/space.type.repository.module';
import { SpaceTypeRepository } from '@app/common/modules/space-type/repositories';
import { UserSpaceRepositoryModule } from '@app/common/modules/user-space/user.space.repository.module';
import { UserSpaceRepository } from '@app/common/modules/user-space/repositories';
import { UserRepositoryModule } from '@app/common/modules/user/user.repository.module';
import { UserRepository } from '@app/common/modules/user/repositories';

@Module({
  imports: [
    ConfigModule,
    SpaceRepositoryModule,
    SpaceTypeRepositoryModule,
    UserSpaceRepositoryModule,
    UserRepositoryModule,
  ],
  controllers: [RoomController],
  providers: [
    RoomService,
    SpaceRepository,
    SpaceTypeRepository,
    UserSpaceRepository,
    UserRepository,
  ],
  exports: [RoomService],
})
export class RoomModule {}
