import { ApiProperty } from '@nestjs/swagger';
import { IsInt, IsNotEmpty, IsString, Min } from 'class-validator';

export class GetUnitDto {
  @ApiProperty({
    description: 'unitUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public unitUuid: string;
}

export class GetUnitChildDto {
  @ApiProperty({ example: 1, description: 'Page number', required: true })
  @IsInt({ message: 'Page must be a number' })
  @Min(1, { message: 'Page must not be less than 1' })
  @IsNotEmpty()
  public page: number;

  @ApiProperty({
    example: 10,
    description: 'Number of items per page',
    required: true,
  })
  @IsInt({ message: 'Page size must be a number' })
  @Min(1, { message: 'Page size must not be less than 1' })
  @IsNotEmpty()
  public pageSize: number;
}
export class GetUnitByUserIdDto {
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
}
