import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateUnitNameDto {
  @ApiProperty({
    description: 'unitName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public unitName: string;

  constructor(dto: Partial<UpdateUnitNameDto>) {
    Object.assign(this, dto);
  }
}
