import { DeviceRepositoryModule } from '@app/common/modules/device';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { UserDevicePermissionService } from './services/user-device-permission.service';
import { UserDevicePermissionController } from './controllers/user-device-permission.controller';
import { DeviceUserPermissionRepository } from '@app/common/modules/device-user-permission/repositories';
import { PermissionTypeRepository } from '@app/common/modules/permission/repositories';

@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [UserDevicePermissionController],
  providers: [
    DeviceUserPermissionRepository,
    PermissionTypeRepository,
    DeviceRepository,
    UserDevicePermissionService,
  ],
  exports: [UserDevicePermissionService],
})
export class UserDevicePermissionModule {}
