import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateProfilePictureDataDto {
  @ApiProperty({
    description: 'profilePicture',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public profilePicture: string;

  constructor(dto: Partial<UpdateProfilePictureDataDto>) {
    Object.assign(this, dto);
  }
}
export class UpdateRegionDataDto {
  @ApiProperty({
    description: 'regionUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public regionUuid: string;

  constructor(dto: Partial<UpdateProfilePictureDataDto>) {
    Object.assign(this, dto);
  }
}
export class UpdateTimezoneDataDto {
  @ApiProperty({
    description: 'timezoneUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public timezoneUuid: string;

  constructor(dto: Partial<UpdateProfilePictureDataDto>) {
    Object.assign(this, dto);
  }
}
export class UpdateNameDto {
  @ApiProperty({
    description: 'firstName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public firstName: string;
  @ApiProperty({
    description: 'lastName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public lastName: string;
  constructor(dto: Partial<UpdateProfilePictureDataDto>) {
    Object.assign(this, dto);
  }
}
